From 5c6cb5e75dcd122268d2ac0dcb99a2c2bbb0e9e5 Mon Sep 17 00:00:00 2001
From: David Steele <david@pgmasters.net>
Date: Wed, 25 Sep 2019 16:11:02 -0400
Subject: [PATCH] Add timeline as valid recovery target in standby.signal
 documentation.

The documentation states that no target settings will be used when
standby.signal is present, but this is not quite the case since
recovery_target_timeline is a valid recovery target for a standby.

Update the documentation with this exception.
---
 doc/src/sgml/config.sgml | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 6612f95f9f..4784b4b18e 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -3156,7 +3156,9 @@ include_dir 'conf.d'
      use parameters in both <xref
      linkend="runtime-config-wal-archive-recovery"/> and <xref
      linkend="runtime-config-replication-standby"/>.  Parameters from
-     <xref linkend="runtime-config-wal-recovery-target"/> will not be used.
+     <xref linkend="runtime-config-wal-recovery-target"/> will not be used,
+     with the exception of <xref linkend="guc-recovery-target-timeline"/>
+     which allows a timeline to be selected for recovery.
     </para>
 
     <para>
-- 
2.20.1 (Apple Git-117)
